# This file was automatically generated by Dist::Zilla::Plugin::ModuleBuild v6.008.
use strict;
use warnings;

use Module::Build 0.28;


my %module_build_args = (
  "build_requires" => {
    "Module::Build" => "0.28"
  },
  "configure_requires" => {
    "ExtUtils::MakeMaker" => 0,
    "Module::Build" => "0.28"
  },
  "dist_abstract" => "Rule-based authorization mechanism",
  "dist_author" => [
    "Sawyer X <xsawyerx\@cpan.org>",
    "Mickey Nasriachi <mickey\@cpan.org>"
  ],
  "dist_name" => "Authorize-Rule",
  "dist_version" => "0.009",
  "license" => "perl",
  "module_name" => "Authorize::Rule",
  "recursive_test_files" => 1,
  "requires" => {
    "Carp" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "test_requires" => {
    "Data::Dumper" => 0,
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Test::Fatal" => 0,
    "Test::More" => 0,
    "blib" => "1.01",
    "perl" => "5.006"
  }
);


my %fallback_build_requires = (
  "Data::Dumper" => 0,
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "Module::Build" => "0.28",
  "Test::Fatal" => 0,
  "Test::More" => 0,
  "blib" => "1.01",
  "perl" => "5.006"
);


unless ( eval { Module::Build->VERSION(0.4004) } ) {
  delete $module_build_args{test_requires};
  $module_build_args{build_requires} = \%fallback_build_requires;
}

my $build = Module::Build->new(%module_build_args);


$build->create_build_script;